# ReadME

This is a simple Node.js server for a MongoDB project.

## Packages

- cors - for cross origin resource sharing
- morgan - for logging requests to the server
- express - for creating the server
- dotenv - for setting up environment variables
- mongoose - for connecting to the database
- nodemon - for making the server restart on file changes (for development purpose only)

**Not recomended:** Just run **npm i** or **npm install** in terminal for quick setup

**Recomended:** Install the latest version of the packages listed below manually

### Comand

npm i cors morgan express dotenv mongoose

**or**

npm install cors morgan express dotenv mongoose

## Scripts

- npm start - to start the server for production
- node index.js - to start the server for production
- npm run dev - to start the server for development
- nodemon index.js - to start the server for development

## .env.example

This file provides a refrence for setting up the environment variables

- PORT - port number for the server
- MONGODB_URI - mongodb connection string
- ALLOWED_ORIGINS - comma separated list of allowed origins for CORS (http://localhost:3000,http://localhost:3001)

## .gitignore.example

This file provides a refrence for ignoring files and directories from git (if you are using git)
